## org.gjt.sp.jedit.bufferset
Enum BufferSetManager.NewBufferSetAction

    java.lang.Object
      java.lang.Enum<BufferSetManager.NewBufferSetAction>
          org.gjt.sp.jedit.bufferset.BufferSetManager.NewBufferSetAction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BufferSetManager.NewBufferSetAction>

Enclosing class:
  BufferSetManager

    public static enum BufferSetManager.NewBufferSetAction

extends java.lang.Enum<BufferSetManager.NewBufferSetAction>

Enum Constant Summary
`copy`
`currentbuffer`
`empty`

Method Summary
`static BufferSetManager.NewBufferSetAction` `fromString(java.lang.String s)`
`java.lang.String` `getName()`
`java.lang.String` `toString()`
`static BufferSetManager.NewBufferSetAction` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BufferSetManager.NewBufferSetAction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### empty

    public static final BufferSetManager.NewBufferSetAction empty

### copy

    public static final BufferSetManager.NewBufferSetAction copy

### currentbuffer

    public static final BufferSetManager.NewBufferSetAction currentbuffer

Method Detail

### values

    public static BufferSetManager.NewBufferSetAction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BufferSetManager.NewBufferSetAction c : BufferSetManager.NewBufferSetAction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BufferSetManager.NewBufferSetAction valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### fromString

    public static BufferSetManager.NewBufferSetAction fromString(java.lang.String s)

### getName

    public java.lang.String getName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<BufferSetManager.NewBufferSetAction>`